XInternAtom(3X11)

NAME
XInternAtom, XGetAtomName - create or return atom names

SYNTAX
Atom XInternAtom(display, atom_name, only_if_exists)
      Display *display;
      char *atom_name;
      Bool only_if_exists;

char *XGetAtomName(display, atom)
      Display *display;
      Atom atom;

ARGUMENTS

atom
    Specifies the atom for the property name you want returned.

atom_name
    Specifies the name associated with the atom you want returned.

display
    Specifies the connection to the X server.

only_if_exists
    Specifies a Boolean value that indicates whether creates the atom.

DESCRIPTION
The function returns the atom identifier associated with the specified atom_name string. If only_if_exists is the atom is created if it does not exist. Therefore, can return If the atom name is not in the Host Portable Character Encoding the result is implementation dependent. Case matters; the strings thing, Thing, and thinG all designate different atoms. The atom will remain defined even after the client's connection closes. It will become undefined only when the last connection to the X server closes.

can generate and errors.

The function returns the name associated with the specified atom. If the data returned by the server is in the Latin Portable Character Encoding, then the returned string is in the Host Portable Character Encoding. Otherwise, the result is implementation dependent. To free the resulting string, call

can generate a error.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for an Atom argument does not name a defined Atom.

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

SEE ALSO
XFree(3X11), XGetWindowProperty(3X11)
Xlib - C Language X Interface